Subject: [PATCH v6 3/5] mmc: davinci_mmc: add DT support

From: [email-masked] (Arnd Bergmann)
Date: Wed, 20 Mar 2013 13:26:09 +0000

On Wednesday 20 March 2013, Manjunathappa, Prakash wrote:
> Adds device tree support for davinci_mmc. Also add binding documentation.
> As of now in non-dma PIO mode and without GPIO card_detect/write_protect
> option because of dependencies on EDMA and GPIO module DT support.

Shouldn't the binding at least specify the names for the DMA channels?
It's fine if the driver works without those, but I think there is no
strict dependency here: If dma_request_slave_channel does not find
a channel, the driver can just continue in PIO mode, and as soon
as the EDMA driver is merged, it will work with DMA.

	Arnd